Bug 1563770

Summary: tigervnc needs rebuilding against X server 1.20
Product: [Fedora] Fedora Reporter: Kevin Fenzi <kevin>
Component: tigervncAssignee: Jan Grulich <jgrulich>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: fedora, jgrulich, twaugh, vonsch
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-04 18:49:27 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Kevin Fenzi 2018-04-04 16:13:43 UTC
Current tigervnc has broken deps in it's modules subpackage: 

DEBUG util.py:439:    - nothing provides xserver-abi(videodrv-23) >= 0 needed by tigervnc-server-module-1.8.0-7.fc28.i686
DEBUG util.py:439:    - nothing provides xserver-abi(videodrv-23) >= 0 needed by tigervnc-server-module-1.8.0-7.fc28.x86_64

So it needs a rebuild against the new 1.20 X server. A simple rebuild fails: 

https://koji.fedoraproject.org/koji/taskinfo?taskID=26150646

We will need a rebuild soon, or will have to untag the new X server so we can get rawhide composes again. ;(

Comment 1 Jan Grulich 2018-04-04 18:49:27 UTC
I fixed this already an hour ago.